Subject: Re: bug#66313: Acknowledgement (29.1.50; process-mark sometimes does not yield the expected value)

From: Markus Triska <[email-masked]>
Date: Sat, 07 Oct 2023 17:28:32 +0200

Eli Zaretskii <[email-masked]> writes:

> I fixed this on the emacs-29 branch

Thank you! I now found the related issue #43573, where Lars states:

   "If this breaks anything (and that is possible -- somebody could be
   using `process-mark' as a weird way to keep track of what the
   previous buffer was -- it should be reverted."

Also, I found commit 7b3e94b6648ed00c6948c09267894b548b2868e7, where the
following (then) new piece of documentation was added to processes.texi:

   if non-@code{nil}, the process mark will be
   set to point to the end of @var{buffer}.

When I wrote ediprolog.el, this was not documented as such.

Is the behaviour now consistent with the documentation, or must the
documentation or behaviour be changed? Should the change introduced in
#43573 be reverted as indicated above, because it broke something?

Thank you and all the best,
Markus